# list.h File Reference

Go to the source code of this file.

## Functions

void | list_delete (struct list *list)
int | list_elems (struct list *list)
void * | list_first (struct list *list)
void | list_map (struct list *list, void(*func)(void *arg))
list * | list_new (int size)
void * | list_pop (struct list *list)
int | list_push (struct list *list, void *elem)
int | list_remove (struct list *list, void *elem)

## Function Documentation

void list_delete | ( | struct list * | list | ) |

int list_elems | ( | struct list * | list | ) |

void* list_first | ( | struct list * | list | ) |

void list_map | ( | struct list * | list,
|  | void(*)(void *arg) | func |
| ) |  |  |

struct list* list_new | ( | int | size | ) |

void* list_pop | ( | struct list * | list | ) |

int list_push | ( | struct list * | list,
|  | void * | elem |
| ) |  |  |

int list_remove | ( | struct list * | list,
|  | void * | elem |
| ) |  |  |